Skip to main content
GET
/
screening
/
byork
/
verdict
TypeScript
const response: Promise<FireblocksResponse<GetByorkVerdictResponse>> = fireblocks.compliance.getByorkVerdict(complianceApiGetByorkVerdictRequest);
CompletableFuture<ApiResponse<GetByorkVerdictResponse>> response = fireblocks.compliance().getByorkVerdict(txId);
response = fireblocks.compliance.get_byork_verdict(tx_id);
curl --request GET \
  --url https://api.fireblocks.io/v1/screening/byork/verdict
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/screening/byork/verdict', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "COMPLETED",
  "verdict": "ACCEPT"
}
{
  "message": "<string>",
  "code": 123
}
{
  "message": "<string>",
  "code": 123
}
{
  "message": "<string>",
  "code": 123
}
{
  "message": "<string>",
  "code": 123
}

Query Parameters

txId
string
required

Transaction ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Current verdict and status.

Response for GET BYORK verdict (current verdict/status for a transaction).

status
enum<string>
required

PRE_ACCEPTED - Verdict stored and will be applied when processing reaches the point where your decision is needed. COMPLETED - Verdict final and processing complete. PENDING - Transaction in BYORK flow; no final verdict yet (awaiting decision or processing). RECEIVED - Verdict final and stored; processing not yet complete.

Available options:
PRE_ACCEPTED,
COMPLETED,
PENDING,
RECEIVED
Example:

"COMPLETED"

verdict
enum<string>
required

ACCEPT/REJECT - Final or pre-accepted verdict. WAIT - When status is PENDING (transaction awaiting decision).

Available options:
ACCEPT,
REJECT,
WAIT
Example:

"ACCEPT"